Skip to content

Directories

Create Directory
POST/api/v1/beta/directories
List Directories
GET/api/v1/beta/directories
Get Directory
GET/api/v1/beta/directories/{directory_id}
Update Directory
PATCH/api/v1/beta/directories/{directory_id}
Delete Directory
DELETE/api/v1/beta/directories/{directory_id}
ModelsExpand Collapse
DirectoryCreateResponse = object { id, name, project_id, 5 more }

API response schema for a directory.

id: string

Unique identifier for the directory.

name: string

Human-readable name for the directory.

minLength1
project_id: string

Project the directory belongs to.

created_at: optional string

Creation datetime

formatdate-time
data_source_id: optional string

Optional data source id the directory syncs from. Null if just manual uploads.

deleted_at: optional string

Optional timestamp of when the directory was deleted. Null if not deleted.

formatdate-time
description: optional string

Optional description shown to users.

updated_at: optional string

Update datetime

formatdate-time
DirectoryListResponse = object { id, name, project_id, 5 more }

API response schema for a directory.

id: string

Unique identifier for the directory.

name: string

Human-readable name for the directory.

minLength1
project_id: string

Project the directory belongs to.

created_at: optional string

Creation datetime

formatdate-time
data_source_id: optional string

Optional data source id the directory syncs from. Null if just manual uploads.

deleted_at: optional string

Optional timestamp of when the directory was deleted. Null if not deleted.

formatdate-time
description: optional string

Optional description shown to users.

updated_at: optional string

Update datetime

formatdate-time
DirectoryGetResponse = object { id, name, project_id, 5 more }

API response schema for a directory.

id: string

Unique identifier for the directory.

name: string

Human-readable name for the directory.

minLength1
project_id: string

Project the directory belongs to.

created_at: optional string

Creation datetime

formatdate-time
data_source_id: optional string

Optional data source id the directory syncs from. Null if just manual uploads.

deleted_at: optional string

Optional timestamp of when the directory was deleted. Null if not deleted.

formatdate-time
description: optional string

Optional description shown to users.

updated_at: optional string

Update datetime

formatdate-time
DirectoryUpdateResponse = object { id, name, project_id, 5 more }

API response schema for a directory.

id: string

Unique identifier for the directory.

name: string

Human-readable name for the directory.

minLength1
project_id: string

Project the directory belongs to.

created_at: optional string

Creation datetime

formatdate-time
data_source_id: optional string

Optional data source id the directory syncs from. Null if just manual uploads.

deleted_at: optional string

Optional timestamp of when the directory was deleted. Null if not deleted.

formatdate-time
description: optional string

Optional description shown to users.

updated_at: optional string

Update datetime

formatdate-time

DirectoriesFiles

Add Directory File
POST/api/v1/beta/directories/{directory_id}/files
List Directory Files
GET/api/v1/beta/directories/{directory_id}/files
Get Directory File
GET/api/v1/beta/directories/{directory_id}/files/{directory_file_id}
Update Directory File
PATCH/api/v1/beta/directories/{directory_id}/files/{directory_file_id}
Delete Directory File
DELETE/api/v1/beta/directories/{directory_id}/files/{directory_file_id}
Upload File To Directory
POST/api/v1/beta/directories/{directory_id}/files/upload
ModelsExpand Collapse
FileAddResponse = object { id, directory_id, display_name, 8 more }

API response schema for a directory file.

id: string

Unique identifier for the directory file.

directory_id: string

Directory the file belongs to.

display_name: string

Display name for the file.

minLength1
project_id: string

Project the directory file belongs to.

unique_id: string

Unique identifier for the file in the directory

minLength1
created_at: optional string

Creation datetime

formatdate-time
data_source_id: optional string

Optional data source credential associated with the file.

deleted_at: optional string

Soft delete marker when the file is removed upstream or by user action.

formatdate-time
file_id: optional string

File ID for the storage location.

metadata: optional map[string or number or boolean]

Merged metadata from all sources. Higher-priority sources override lower.

One of the following:
string
number
boolean
updated_at: optional string

Update datetime

formatdate-time
FileListResponse = object { id, directory_id, display_name, 8 more }

API response schema for a directory file.

id: string

Unique identifier for the directory file.

directory_id: string

Directory the file belongs to.

display_name: string

Display name for the file.

minLength1
project_id: string

Project the directory file belongs to.

unique_id: string

Unique identifier for the file in the directory

minLength1
created_at: optional string

Creation datetime

formatdate-time
data_source_id: optional string

Optional data source credential associated with the file.

deleted_at: optional string

Soft delete marker when the file is removed upstream or by user action.

formatdate-time
file_id: optional string

File ID for the storage location.

metadata: optional map[string or number or boolean]

Merged metadata from all sources. Higher-priority sources override lower.

One of the following:
string
number
boolean
updated_at: optional string

Update datetime

formatdate-time
FileGetResponse = object { id, directory_id, display_name, 8 more }

API response schema for a directory file.

id: string

Unique identifier for the directory file.

directory_id: string

Directory the file belongs to.

display_name: string

Display name for the file.

minLength1
project_id: string

Project the directory file belongs to.

unique_id: string

Unique identifier for the file in the directory

minLength1
created_at: optional string

Creation datetime

formatdate-time
data_source_id: optional string

Optional data source credential associated with the file.

deleted_at: optional string

Soft delete marker when the file is removed upstream or by user action.

formatdate-time
file_id: optional string

File ID for the storage location.

metadata: optional map[string or number or boolean]

Merged metadata from all sources. Higher-priority sources override lower.

One of the following:
string
number
boolean
updated_at: optional string

Update datetime

formatdate-time
FileUpdateResponse = object { id, directory_id, display_name, 8 more }

API response schema for a directory file.

id: string

Unique identifier for the directory file.

directory_id: string

Directory the file belongs to.

display_name: string

Display name for the file.

minLength1
project_id: string

Project the directory file belongs to.

unique_id: string

Unique identifier for the file in the directory

minLength1
created_at: optional string

Creation datetime

formatdate-time
data_source_id: optional string

Optional data source credential associated with the file.

deleted_at: optional string

Soft delete marker when the file is removed upstream or by user action.

formatdate-time
file_id: optional string

File ID for the storage location.

metadata: optional map[string or number or boolean]

Merged metadata from all sources. Higher-priority sources override lower.

One of the following:
string
number
boolean
updated_at: optional string

Update datetime

formatdate-time
FileUploadResponse = object { id, directory_id, display_name, 8 more }

API response schema for a directory file.

id: string

Unique identifier for the directory file.

directory_id: string

Directory the file belongs to.

display_name: string

Display name for the file.

minLength1
project_id: string

Project the directory file belongs to.

unique_id: string

Unique identifier for the file in the directory

minLength1
created_at: optional string

Creation datetime

formatdate-time
data_source_id: optional string

Optional data source credential associated with the file.

deleted_at: optional string

Soft delete marker when the file is removed upstream or by user action.

formatdate-time
file_id: optional string

File ID for the storage location.

metadata: optional map[string or number or boolean]

Merged metadata from all sources. Higher-priority sources override lower.

One of the following:
string
number
boolean
updated_at: optional string

Update datetime

formatdate-time